### Constructor

# Gdk Cursornew_from_name

#### Declaration [src]

    GdkCursor*
    gdk_cursor_new_from_name (
      const char* name,
      GdkCursor* fallback
    )

#### Description [src]

Creates a new cursor by looking up `name` in the current cursor theme.

A recommended set of cursor names that will work across different platforms can be found in the CSS specification:

“none” | “default” | “help” | “pointer”
“context-menu” | “progress” | “wait” | “cell”
“crosshair” | “text” | “vertical-text” | “alias”
“copy” | “no-drop” | “move” | “not-allowed”
“grab” | “grabbing” | “all-scroll” | “col-resize”
“row-resize” | “n-resize” | “e-resize” | “s-resize”
“w-resize” | “ne-resize” | “nw-resize” | “sw-resize”
“se-resize” | “ew-resize” | “ns-resize” | “nesw-resize”
“nwse-resize” | “zoom-in” | “zoom-out” |

#### Parameters

`name`

  Type: `const char*`

  The name of the cursor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fallback`

  Type: `GdkCursor`

  `NULL` or the `GdkCursor` to fall back to when this one cannot be supported.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GdkCursor`

A new `GdkCursor`, or `NULL` if there is no cursor with the given name.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.